%global pypi_name websockify
%define python3 1

Name:           python-%{pypi_name}
Version:        0.5.1
%define subrel	2
Release:        %mkrel 3
Group:          Development/Python
Summary:        WebSockets support for any application/server

License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
 
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools

Requires:       %{pypi_name}

%description
WebSockets support for any application/server

%package -n %{pypi_name}
Summary:        WebSockets support for any application/server
Group:          Development/Python
Requires:	python-pkg-resources

%description -n %{pypi_name}
WebSockets support for any application/server

%if %python3
%package -n python3-%{pypi_name}
Summary:        WebSockets support for any application/server
Group:          Development/Python

Requires:       %{pypi_name}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
WebSockets support for any application/server
%endif

%prep
%setup -q -n %{pypi_name}-%{version}

%apply_patches

cp -a . %{py3dir}

%build
%{__python} setup.py build

%if %python3
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if %python3
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%{python_sitelib}/%{pypi_name}*

%files -n %{pypi_name}
%_bindir/websockify
%_datadir/websockify

%if %python3
%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}*
%endif


%changelog
* Fri Apr 10 2015 luigiwalser <luigiwalser> 0.5.1-3.2.mga4
+ Revision: 820058
- add python-pkg-resources requires to correct package, websockify (mga#15622)
- require python-pkg-resources (mga#15622)

* Tue Oct 22 2013 umeabot <umeabot> 0.5.1-3.mga4
+ Revision: 544453
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5.1-2.mga4
+ Revision: 499717
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 09 2013 neoclust <neoclust> 0.5.1-1.mga4
+ Revision: 493953
- imported package python-websockify

